@echo off
	REM ###############################################################################################
	REM #
	REM # run.bat - OptFlux version 3.2.0 for Win
	REM # 
	REM # IBB-CEB - Institute for Biotechnology and  Bioengineering - Centre of Biological Engineering
	REM # CCTC - Computer Science and Technology Center
	REM # University of Minho
	REM #
	REM # Created inside the SysBioPSEG Research Group (http://sysbio.di.uminho.pt)
	REM # University of Minho
	REM #
	REM # Copyright (c) 2014.
	REM #
	REM # www.optflux.org
	REM #
	REM ###############################################################################################
	
	SET APP_NAME="Optflux"
	
	SET OPTFLUX_HOME=%~dp0
	
	cd %OPTFLUX_HOME%
	
	SET CLASSPATH=lib\\*
	SET JAR_ARGS="plugins_bin"
	
	SET MAIN_CLASS="optflux.launcher.MainCycle"
	SET JAVA="%OPTFLUX_HOME%jre\bin\java"
	SET BASE_PATH=%path%;%OPTFLUX_HOME%bin
	
	SET LOCALE="-Duser.language=en"
	SET CHARSET="-Dfile.encoding=utf-8"
	SET MAXMEM="-Xmx1024m"
	SET MINMEM="-Xms256m"
	
	SET COMMAND=%JAVA% %MAXMEM% %LOCALE% %CHARSET% -cp %CLASSPATH% %MAIN_CLASS% %JAR_ARGS%
	%COMMAND%